public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: dev-qt/qtimageformats/
Date: Sun, 25 Aug 2019 13:05:06 +0000 (UTC)	[thread overview]
Message-ID: <1566738267.6c0793e41beae72360f3b00f0025de94cd5788c7.asturm@gentoo> (raw)

commit:     6c0793e41beae72360f3b00f0025de94cd5788c7
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 25 12:55:14 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Aug 25 13:04:27 2019 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=6c0793e4

dev-qt/qtimageformats: Drop USE jpeg2k, fix USE mng

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-qt/qtimageformats/qtimageformats-5.12.9999.ebuild | 9 +++++----
 dev-qt/qtimageformats/qtimageformats-5.13.9999.ebuild | 9 +++++----
 dev-qt/qtimageformats/qtimageformats-5.14.9999.ebuild | 9 +++++----
 dev-qt/qtimageformats/qtimageformats-5.9999.ebuild    | 9 +++++----
 4 files changed, 20 insertions(+), 16 deletions(-)

diff --git a/dev-qt/qtimageformats/qtimageformats-5.12.9999.ebuild b/dev-qt/qtimageformats/qtimageformats-5.12.9999.ebuild
index 5327581b..a7eace7d 100644
--- a/dev-qt/qtimageformats/qtimageformats-5.12.9999.ebuild
+++ b/dev-qt/qtimageformats/qtimageformats-5.12.9999.ebuild
@@ -10,20 +10,21 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
 	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~sparc ~x86"
 fi
 
-IUSE="jpeg2k mng"
+IUSE="mng"
 
 DEPEND="
 	~dev-qt/qtcore-${PV}
 	~dev-qt/qtgui-${PV}
 	media-libs/libwebp:=
 	media-libs/tiff:0
-	jpeg2k? ( media-libs/jasper:= )
 	mng? ( media-libs/libmng:= )
 "
 RDEPEND="${DEPEND}"
 
 src_configure() {
-	qt_use_compile_test jpeg2k jasper
-	qt_use_compile_test mng libmng
+	sed -e 's/qtConfig(jasper)/false:/' \
+		-i src/plugins/imageformats/imageformats.pro || die
+	qt_use_disable_config mng mng src/plugins/imageformats/imageformats.pro
+
 	qt5-build_src_configure
 }

diff --git a/dev-qt/qtimageformats/qtimageformats-5.13.9999.ebuild b/dev-qt/qtimageformats/qtimageformats-5.13.9999.ebuild
index 5327581b..a7eace7d 100644
--- a/dev-qt/qtimageformats/qtimageformats-5.13.9999.ebuild
+++ b/dev-qt/qtimageformats/qtimageformats-5.13.9999.ebuild
@@ -10,20 +10,21 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
 	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~sparc ~x86"
 fi
 
-IUSE="jpeg2k mng"
+IUSE="mng"
 
 DEPEND="
 	~dev-qt/qtcore-${PV}
 	~dev-qt/qtgui-${PV}
 	media-libs/libwebp:=
 	media-libs/tiff:0
-	jpeg2k? ( media-libs/jasper:= )
 	mng? ( media-libs/libmng:= )
 "
 RDEPEND="${DEPEND}"
 
 src_configure() {
-	qt_use_compile_test jpeg2k jasper
-	qt_use_compile_test mng libmng
+	sed -e 's/qtConfig(jasper)/false:/' \
+		-i src/plugins/imageformats/imageformats.pro || die
+	qt_use_disable_config mng mng src/plugins/imageformats/imageformats.pro
+
 	qt5-build_src_configure
 }

diff --git a/dev-qt/qtimageformats/qtimageformats-5.14.9999.ebuild b/dev-qt/qtimageformats/qtimageformats-5.14.9999.ebuild
index 5327581b..a7eace7d 100644
--- a/dev-qt/qtimageformats/qtimageformats-5.14.9999.ebuild
+++ b/dev-qt/qtimageformats/qtimageformats-5.14.9999.ebuild
@@ -10,20 +10,21 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
 	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~sparc ~x86"
 fi
 
-IUSE="jpeg2k mng"
+IUSE="mng"
 
 DEPEND="
 	~dev-qt/qtcore-${PV}
 	~dev-qt/qtgui-${PV}
 	media-libs/libwebp:=
 	media-libs/tiff:0
-	jpeg2k? ( media-libs/jasper:= )
 	mng? ( media-libs/libmng:= )
 "
 RDEPEND="${DEPEND}"
 
 src_configure() {
-	qt_use_compile_test jpeg2k jasper
-	qt_use_compile_test mng libmng
+	sed -e 's/qtConfig(jasper)/false:/' \
+		-i src/plugins/imageformats/imageformats.pro || die
+	qt_use_disable_config mng mng src/plugins/imageformats/imageformats.pro
+
 	qt5-build_src_configure
 }

diff --git a/dev-qt/qtimageformats/qtimageformats-5.9999.ebuild b/dev-qt/qtimageformats/qtimageformats-5.9999.ebuild
index 5327581b..a7eace7d 100644
--- a/dev-qt/qtimageformats/qtimageformats-5.9999.ebuild
+++ b/dev-qt/qtimageformats/qtimageformats-5.9999.ebuild
@@ -10,20 +10,21 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
 	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~sparc ~x86"
 fi
 
-IUSE="jpeg2k mng"
+IUSE="mng"
 
 DEPEND="
 	~dev-qt/qtcore-${PV}
 	~dev-qt/qtgui-${PV}
 	media-libs/libwebp:=
 	media-libs/tiff:0
-	jpeg2k? ( media-libs/jasper:= )
 	mng? ( media-libs/libmng:= )
 "
 RDEPEND="${DEPEND}"
 
 src_configure() {
-	qt_use_compile_test jpeg2k jasper
-	qt_use_compile_test mng libmng
+	sed -e 's/qtConfig(jasper)/false:/' \
+		-i src/plugins/imageformats/imageformats.pro || die
+	qt_use_disable_config mng mng src/plugins/imageformats/imageformats.pro
+
 	qt5-build_src_configure
 }


             reply	other threads:[~2019-08-25 13:05 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-25 13:05 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-08 15:21 [gentoo-commits] proj/qt:master commit in: dev-qt/qtimageformats/ Andreas Sturmlechner
2022-12-16 23:53 Jimi Huotari
2022-12-16 19:50 Andreas Sturmlechner
2022-12-16 19:36 Andreas Sturmlechner
2022-11-05 16:39 Andreas Sturmlechner
2022-09-24 21:24 Andreas Sturmlechner
2022-09-24 17:03 Andreas Sturmlechner
2022-09-22 11:51 Jimi Huotari
2019-03-02 11:40 Andreas Sturmlechner
2017-12-31  1:10 Michael Palimaka
2016-11-13  3:43 Michael Palimaka
2014-09-28  1:09 Davide Pesavento
2014-06-12 17:34 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566738267.6c0793e41beae72360f3b00f0025de94cd5788c7.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox